import { useState } from "react";
import { Project } from "../Types/goTypes";
import GetProjects from "./GetProjects";

function UserProjectListAdmin(props: { username: string }): JSX.Element {
  const [projects, setProjects] = useState<Project[]>([]);

  GetProjects({ setProjectsProp: setProjects, username: props.username });

  return (
    <div className="border-2 border-black bg-white p-2 rounded-lg text-center">
      <ul>
        {projects.map((project) => (
          <li key={project.id}>
            <span>{project.name}</span>
          </li>
        ))}
      </ul>
    </div>
  );
}

export default UserProjectListAdmin;
